com.smartgwt.client.types

## Enum PromptStyle

- java.lang.Object
- - java.lang.Enum<PromptStyle>
  - - com.smartgwt.client.types.PromptStyle

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<PromptStyle>

      public enum PromptStyle
      extends java.lang.Enum<PromptStyle>
      implements ValueEnum

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CURSOR` Changes the current cursor to the style specified by `promptCursor`
    `DIALOG` Displays a centered modal prompt with text specified by `prompt`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static PromptStyle` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static PromptStyle[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DIALOG

          public static final PromptStyle DIALOG

      Displays a centered modal prompt with text specified by `prompt`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "dialog".

    - #### CURSOR

          public static final PromptStyle CURSOR

      Changes the current cursor to the style specified by `promptCursor`

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "cursor".

  - ### Method Detail

    - #### values

          public static PromptStyle[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PromptStyle c : PromptStyle.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PromptStyle valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`